%define upstream_name    CPAN-Meta-Requirements
%define upstream_version 2.122

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A set of version requirements for a CPAN dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
A CPAN::Meta::Requirements object models a set of version constraints like
those specified in the _META.yml_ or _META.json_ files in CPAN
distributions. It can be built up by adding more and more constraints, and
it will reduce them to the simplest representation.

Logically impossible constraints will be identified immediately by thrown
exceptions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README.PATCHING META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Mar 22 2013 jquelin <jquelin> 2.122.0-5.mga3
+ Revision: 404492
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.122.0-4.mga3
+ Revision: 363613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.122.0-3.mga3
+ Revision: 315111
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.122.0-2.mga3
+ Revision: 284580
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 2.122.0-1.mga3
+ Revision: 254218
- imported package perl-CPAN-Meta-Requirements


* Mon Jun 04 2012 cpan2dist 2.122-1mga
- initial mageia release, generated with cpan2dist
